=== modified file 'bzrlib/globbing.py'
--- bzrlib/globbing.py	2010-01-02 20:55:56 +0000
+++ bzrlib/globbing.py	2010-01-02 23:09:23 +0000
@@ -268,7 +268,7 @@
     Doesn't normalize regular expressions - they may contain escapes.
     """
 
-    if not pattern.startswith('RE:'):
+    if not (pattern.startswith('RE:') or pattern.startswith('!RE:')):
         pattern = _slashes.sub('/', pattern)
     if len(pattern) > 1:
         pattern = pattern.rstrip('/')

=== modified file 'bzrlib/tests/test_ignores.py'
--- bzrlib/tests/test_ignores.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/test_ignores.py	2010-01-02 23:09:23 +0000
@@ -34,6 +34,7 @@
                 '\n' # empty line
                 '#comment\n'
                 ' xx \n' # whitespace
+                '!RE:^\.z.*\n'
                 ))
         self.assertEqual(set(['./rootdir',
                           'randomfile*',
@@ -41,6 +42,7 @@
                           u'unicode\xb5',
                           'dos',
                           ' xx ',
+                          '!RE:^\.z.*',
                          ]), ignored)
 
     def test_parse_empty(self):

